Package org.eclipse.cdt.core.dom.parser

## Class CLanguageKeywords

- java.lang.Object
- - org.eclipse.cdt.core.dom.parser.CLanguageKeywords

All Implemented Interfaces:
  `ICLanguageKeywords`

    public class CLanguageKeywords
    extends Object
    implements ICLanguageKeywords

This class allows provides a reusable implementation of ICLanguageKeywords for use by ILanguage implementations.

Since:
  5.1

### Constructor Summary

Constructors
`CLanguageKeywords​(ParserLanguage language, IScannerExtensionConfiguration config)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getBuiltinTypes()` Returns the built-in type names defined for this language.
`String[]` `getKeywords()` Returns the keywords defined for this language, excluding built-in types.
`String[]` `getPreprocessorKeywords()` Returns the preprocessor keywords (directives) defined for this language.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLanguageKeywords

    public CLanguageKeywords​(ParserLanguage language,
                             IScannerExtensionConfiguration config)

Throws:
  `NullPointerException` - if either parameter is null

### Method Detail

#### getKeywords

    public String[] getKeywords()

Description copied from interface: `ICLanguageKeywords`
Returns the keywords defined for this language, excluding built-in types.

Specified by:
  `getKeywords` in interface `ICLanguageKeywords`
Returns:
  an array of keywords, never `null`

#### getBuiltinTypes

    public String[] getBuiltinTypes()

Description copied from interface: `ICLanguageKeywords`
Returns the built-in type names defined for this language.

Specified by:
  `getBuiltinTypes` in interface `ICLanguageKeywords`
Returns:
  an array of names, never `null`

#### getPreprocessorKeywords

    public String[] getPreprocessorKeywords()

Description copied from interface: `ICLanguageKeywords`
Returns the preprocessor keywords (directives) defined for this language.

Specified by:
  `getPreprocessorKeywords` in interface `ICLanguageKeywords`
Returns:
  an array of keywords, never `null`